%define name xmmsmplayer
%define version 0.5
%define release 2mdk

Name: %{name}
Summary: An input plug-in for XMMS that plays videos using MPlayer
Version: %{version}
Release: %{release}
License: GPL
Group: Video
Source0: http://prdownloads.sourceforge.net/xmmsmplayer/%name-%{version}.tar.bz2
URL: http://www.cse.iitb.ac.in/~nandan/xmmsmplayer/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires:	libxmms-devel
Requires: xmms
Requires: mplayer

%description
This an xmms plugin that allows you to use xmms as a front-end for
MPlayer. You'll need MPlayer properly installed and in the PATH.

%prep
%setup -q
cat /dev/null > acinclude.m4
aclocal
autoconf

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%{_libdir}/xmms/Input/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc ChangeLog README AUTHORS
%{_libdir}/xmms/Input/libxmmsmplayer.so

%changelog
* Fri May 20 2005 Gtz Waschk <waschk@mandriva.org> 0.5-2mdk
- fix build on x86_64

* Thu Sep  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5-1mdk
- reintroduce it, this is different from xmms-mplayer

